# GridFire: src/include/gridfire/engine/views/engine_adaptive.h File Reference

Loading...
Searching...
No Matches
engine_adaptive.h File Reference
`#include "gridfire/engine/engine_abstract.h"`
`#include "gridfire/engine/views/engine_view_abstract.h"`
`#include "gridfire/screening/screening_abstract.h"`
`#include "gridfire/screening/screening_types.h"`
`#include "gridfire/network.h"`
`#include "fourdst/composition/atomicSpecies.h"`
`#include "fourdst/config/config.h"`
`#include "fourdst/logging/logging.h"`
`#include "gridfire/engine/procedures/priming.h"`
`#include "gridfire/engine/procedures/construction.h"`
`#include "quill/Logger.h"`

Go to the source code of this file.

## Classes

class | gridfire::AdaptiveEngineView
| An engine view that dynamically adapts the reaction network based on runtime conditions. More...
struct | gridfire::AdaptiveEngineView::ReactionFlow
| A struct to hold a reaction and its flow rate. More...

## Namespaces

namespace | gridfire